#include "DxLib.h"
#include "cursor.h"
#include "main.h"
#include "keyboard.h"

static int m_Image;

//J[\
void Cursor_Init(){
	m_Image = LoadGraph("cursor.png", TRUE);
	CursorData.cursor_x = 0;
	CursorData.cursor_y = 0;
}

//J[\ړ֐
void Cursor_Update(){
	int kx = CursorData.cursor_x;
	int ky = CursorData.cursor_y;
	if (Keyboard_Get(KEY_INPUT_LEFT) == 1) { kx--; }
	if (Keyboard_Get(KEY_INPUT_RIGHT) == 1) { kx++; }
	if (Keyboard_Get(KEY_INPUT_UP) == 1) { ky--; }
	if (Keyboard_Get(KEY_INPUT_DOWN) == 1) { ky++; }
	if ((0 <= kx && kx <= 2) && (0 <= ky && ky <= 2)){
		CursorData.cursor_x = kx;
		CursorData.cursor_y = ky;
	}
}

Cursor_t Cursor_Get(){
	return CursorData;
}

//J[\`֐
void Cursor_Draw(){
	DrawGraph(CursorData.cursor_x * MAPCHIP_SIZE, CursorData.cursor_y * MAPCHIP_SIZE, m_Image, TRUE);
}
