#include "DxLib.h"
#include "main.h"
#include "keyboard.h"
#include "board.h"
#include "cursor.h"
#include "cpu.h"

//	Q[Ŝ̊Ǘf[^()
GameData_t MainData;						//O[oϐ
static int White = GetColor(255, 255, 255);	//Fϐ
static Cursor_t tmp_cursor;

//C֐
void Main_Init(){
	MainData.Gamecount = 0;
	MainData.turn = 1;
	tmp_cursor.cursor_x = 0;
	tmp_cursor.cursor_y = 0;

	DxLib_Init();
	Board_Init();
	Cursor_Init();
}

//CXV֐
void Main_Update(){
	Keyboard_Update();
	Cursor_Update();
	if (Keyboard_Get(KEY_INPUT_Z) == 1){
		tmp_cursor = Cursor_Get();
		Board_Putchip(tmp_cursor.cursor_x, tmp_cursor.cursor_y);
	}
	Board_Update();
}

//C`֐
void Main_Draw(){

	Board_Draw();
	Cursor_Draw();

	tmp_cursor = Cursor_Get();
	DrawFormatString(200, 30, White, "WX:%d WY:%d", tmp_cursor.cursor_x + 1, tmp_cursor.cursor_y + 1);
	if (MainData.turn == 1){
		DrawString(200, 60, "̃^[", White);
	}
	else if (MainData.turn == 2){
		DrawString(200, 60, "̃^[", White);
	}
	DrawString(200, 90, "ZL[ŋu܂", White);
	DrawFormatString(200, 120, White, "^[:%d", MainData.Gamecount);
}

//s\֐
void Main_Result(int MainData_status){
	switch (MainData_status){
	case EVEN:
		DrawString(200, 150, "ł", White);
		WaitTimer(1000);
		DxLib_End();
		break;
	case WIN:
		DrawString(200, 150, "Ȃ̏ł", White);
		WaitTimer(1000);
		DxLib_End();
		break;
	case LOSE:
		DrawString(200, 150, "Ȃ̕ł", White);
		WaitTimer(1000);
		DxLib_End();
		break;
	}
}

int WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int){
	ChangeWindowMode(TRUE);
	SetDrawScreen(DX_SCREEN_BACK);
	SetGraphMode(SCREEN_X,SCREEN_Y,32);
	Main_Init();

	while (ScreenFlip() == 0 && ProcessMessage() == 0 &&
		ClearDrawScreen() == 0 && Keyboard_Get(KEY_INPUT_ESCAPE) == 0){

		Main_Update();
		Main_Draw();
		Main_Result(MainData.status);

		//̃^[ŏsmFĂCPŨ^[Ɉړ
		CPU();

	}
	DxLib_End(); // DXCuI
	return 0;
}